Subject: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Noam Postavsky <[email-masked]>
Date: Fri, 13 Oct 2017 21:40:57 -0400

Noam Postavsky <[email-masked]> writes:

> On Fri, Oct 13, 2017 at 10:09 AM, Vincent Belaïche
> <[email-masked]> wrote:
>
>> Please note that gcc -v makes this output even though my MSYSTEM envvar
>> expands to MINGW64.
>>
>> I think that the objective of the gcc -v is to discriminate between 32
>> and 64 bits, not between MINGW and MSYS. So, it seems that what we have
>> is an autoconf bug. Am I wrong ?
>
> I think it means you didn't install the mingw-w64-x86_64-toolchain
> metapackage, so you are using the msys toolchain rather than the mingw
> one.

Check the output of 'which gcc', it should be at /mingw64/bin/gcc.  If
it's /bin/gcc, or /usr/bin/gcc, then you are using the wrong gcc.